Subject: Re: Regency Heights Cal King Waterproof mattress cover
From: Dennis Bulan <[email-masked]>
To: info <[email-masked]>
Date: Tue, 9 Dec 2025 18:21:42 +0000 (UTC)

We tried it and it fit.
    On Tuesday, December 9, 2025 at 10:30:27 AM EST, info <[email-masked]> wrote:   

Unfortunately, we could not find the order in our system. We're so sorry about that.

Please reach out to Walmart Customer Support for further assistance.

Sincerely,
Giselle
Designer Living Customer Service
[email-masked]

On Tue, Dec 9, 2025 at 7:30 AM -08:00 Pacific Time Customer Service<[email-masked]> wrote:

I sent you a copy of the bill . The Fed Ex tracking number was 491758042886
On Monday, December 8, 2025 at 06:25:08 PM EST, info <[email-masked]> wrote:

Please send us a photo that would show the order number. If you have the tracking number from FedEx, that will work.

Sincerely,
Giselle
Designer Living Customer Service
[email-masked]

On Mon, Dec 8, 2025 at 3:25 PM -08:00 Pacific Time Customer Service<[email-masked]> wrote:

I'm sending you the order from Walmart.
On Monday, December 8, 2025 at 04:47:02 PM EST, info <[email-masked]> wrote:

Unfortunately, we were not able to find the order. Kindly double-check the order number and let us know. Thank you!

Sincerely,
Giselle
Designer Living Customer Service
[email-masked]

On Mon, Dec 8, 2025 at 1:46 PM -08:00 Pacific Time Customer Service<[email-masked]> wrote:

Here's the Walmart order # 2000142-36398543
On Monday, December 8, 2025 at 03:14:05 PM EST, info <[email-masked]> wrote:

Hello Dennis,

Thank you for reaching out.

Please let us know your order number so we can check.

Sincerely,
Giselle
Designer Living Customer Service
[email-masked]

On Mon, Dec 8, 2025 at 12:14 PM -08:00 Pacific Time Customer Service<[email-masked]> wrote:

We just received the above mattress cover and we are wondering if it is the right size? There is nothing on the box to state what size it is. All I have is the following number on the box: 00046515790852. We don't want to open it until we hear from you guys.Thank for all your help
Dennis